<template>
    <div>
        <p v-bind:class="color">
            {{msg}}
        </p>
        <ProviderForm v-bind:provider="provider" v-bind:companies="companies" v-on:submit="add()" v-on:back="back()">
    
        </ProviderForm>
    </div>
</template>

<script>

import ProviderForm from './Provider.Form.vue'
import {
    addProvider
} from '@/api/providers.service.js'
export default {
    computed:{
        companies(){
            return this.$store.getters.getAllCompanies;
        }
    },
    data() {
        return {
            provider: {
            },
            confirm: "",
            interact: true,
            color: "black",
            msg: ""
        }
    },
    methods: {
        add: function () {
            addProvider(this.provider).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            });
        },
        back: function () {
            this.$router.go(-1);
        }
    }, components: {
        ProviderForm
    },
    created(){
        this.$store.dispatch('setAllCompanies');
    }
}
</script>

<style scoped>
.black {
    color: black;
}

.red {
    color: red;
}
</style>
